Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
GETSNS OperationsSince 5.0.0SynchronousAuth Required

QuerySNSDingTalkAtPerson

QuerySNSDingTalkAtPerson

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • phoneNumberStringRequired

      The phone number.

    • endpointUuidStringRequired

      The DingTalk endpoint uuid

Endpoint

GET/zstack/v1/sns/application-endpoints/ding-talk/at-persons

/zstack/v1/sns/application-endpoints/ding-talk/at-persons

Operation ID

QuerySNSDingTalkAtPerson

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sns/application-endpoints/ding-talk/at-persons' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "234f8735703a38ecb840cfe9042bc945", "phoneNumber": "13062689903", "endpointUuid": "9488e18c34b933f5a06d1f45301c7f20" } ] }

Change History

This API has no change history records yet.

View all change history